Summary: Wnn6 Client Library
Name: Wnn6-SDK
Version: 1.0
Release: 2a
Copyright: OMRON Corporation, OMRON Software Co., Ltd.
Group: Extensions/Japanese
Source0: ftp://ftp-sp.omronsoft.co.jp/pub/Wnn6/skd_source/sdk/%{name}-sources.tar.gz
Source1: localhost:/wnnenvrc
Patch0: localhost:/Wnn6-SDK.config.patch
Patch1: localhost:/wnn6-sdk_incl.patch
Patch2: localhost:/wnn6-sdk_shared.patch
Patch3: localhost:/wnn6-sdk_malloc.patch
Patch4: localhost:/Wnn6-SDK.static.patch
Patch5: localhost:/Wnn6-SDK.nonroot.patch
Patch6: localhost:/wnn6-sdk_glibc.patch
URL: http://www.omronsoft.co.jp/SP/Pcunix/wnn.html
Prefix: /usr
BuildRoot: /var/tmp/%{name}-root
#Distribution: Japanese RPM (JRPM)
#Vendor: Linux Japanese RPM Project
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

## Japanese LinuxPPC
Distribution: unoffical JRPM (public beta)
Vendor: Japanese LinuxPPC Users' Group
Requires: glibc >= 2.0.108
# Packager: MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

Summary(ja): Wnn6 饤 饤֥

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%description -l ja
Wnn6 饤ȤưΤɬפʥ󥿥 Wnn6 饤 饤֥ꡣ

%package devel
Summary: development library and header file for Wnn6
Group: Extensions/Japanese
Summary(ja): Wnn6 ѳȯ饤֥ȥإåե

%description devel
This package contains header files and libraries for Wnn6
client developments.

%description devel -l ja
Υѥåˤ Wnn6 饤ȤγȯѤΥإåեȥ饤֥
ޤߤޤ

%prep
%setup -q -n src
cd contrib/im/Xsi
%patch0 -p4
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
set `/usr/bin/id`
if [ X$1 != "Xuid=0(root)" ]; then
%patch5 -p1
fi
%patch6 -p0

rm -fr ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build
cd contrib/im/Xsi
make World -f Makefile.ini

%install
cd contrib/im/Xsi
make install DESTDIR=${RPM_BUILD_ROOT}
install -m 644 ${RPM_SOURCE_DIR}/wnnenvrc ${RPM_BUILD_ROOT}/var/lib/wnn6/ja_JP

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc contrib/im/Xsi/README
%dir /var/lib/wnn6/
%dir /var/lib/wnn6/ja_JP/
%config /var/lib/wnn6/ja_JP/wnnenvrc
%{prefix}/lib/libwnn6.so.1.0.0

%files devel
%defattr(-,root,root)
%{prefix}/lib/libwnn6.a
%{prefix}/lib/libwnn6.so
%{prefix}/include/wnn6/

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%changelog
* Fri Jun 25 1999 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- included a sample wnnenvrc

* Tue Mar  4 1999 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- build against glibc-2.1
- use Oe's glibc patch in Wnn6-SDK-1.0-1_rh

* Wed Jan 27 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- change installed directories and name of the library
- added Prefix tag

* Mon Nov 10 1998 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- 1st release
